Page MenuHomePhabricator

Newcomer tasks: help links
Closed, ResolvedPublic

Description

This task contains a short list of links that we need to add to the newcomer tasks feature. I do not think we'll need each of you to have your own Phabricator tasks for this one, because this is a quick request.

All these links should go in this spreadsheet.

Option to exit workflow

There are several places in the flow for newcomer tasks where we offer help links to users, because they may want to exit from the newcomer tasks flow and go straight to creating a new article or adding an image. What we need from the ambassadors are two help links, one for creating a new article and one for adding an image. It is probably best to use the same one that is used in the help panel, if the help panel contains those already.

  • Creating a new article: this will be needed in the "intro overlay" when the user is starting the suggested edits module, and also in the "difficulty filter" for when they are choosing types of tasks to work on.
  • Adding an image to an article: this will be needed only in the "intro overlay".

Links in popup

There are also a set of links needed for the feature shown in this screen -- a popup that explains each task type. We need the links for the "Learn more" link for each popup. Each of the five task types will have a popup, and each needs a link, if possible.

  • Copyediting: fix spelling, grammar, and tone
  • Add links between articles: make words from one article link to another article
  • Find references: add sources to verify Wikipedia articles
  • Update articles: bring existing articles up-to-date
  • Expand short articles: make articles longer by finding and adding more information

Event Timeline

MMiller_WMF added subscribers: PPham, revi.

@Urbanecm @revi @Dyolf77_WMF @PPham -- this easy task is ready for you. You can complete the task just by adding a comment that contains your two links.

Trizek-WMF triaged this task as Medium priority.Oct 17 2019, 8:49 AM
PPham added a comment.Oct 18 2019, 1:58 PM

Hi,

Regarding the link for creating a new article, here is the one on the help panel: Help:Editing, but this one focuses solely on guiding how to edit in general. If you specifically need a link for creating articles, here it is: Help:Your first article.

Link for adding images and photos: Wikipedia:Images (this is also the link on the help panel).

Links in Arabic Wikipedia

MMiller_WMF updated the task description. (Show Details)Oct 29 2019, 12:22 AM

@Dyolf77_WMF @revi @PPham @Urbanecm -- it actually turns out that we need five additional links. Please see my changes to the task description that explains what those links need to be. Since we're now tracking seven different links, I created this spreadsheet tab where you can add them: https://docs.google.com/spreadsheets/d/1Zgat_KdCSqvAIaP3A8RB7OP9yEEveDuqbo3kfSCFnAc/edit#gid=861819850

We need these links by the end of this week, please.

Many of those new links seems to be prepared only for code editor. I might try to get fellow community members draft some help page about it for the visual editor, however, I can't guarantee such attempt would be a success.

Also, which kind of help pages do you expect for Update articles: bring existing articles up-to-date or Expand short articles: make articles longer by finding and adding more information? That's more or less a general edit, do we want it to link to "How to make an edit" kind of help page?

PPham added a comment.EditedOct 29 2019, 1:11 PM

@MMiller_WMF Can you somehow give us an example of the Copyediting one in English Wikipedia?

@MMiller_WMF Can you somehow give us an example of those pages in English Wikipedia?

@PPham , it is difficult: help pages are not as strictly organized as Wikipedia articles can be. You can have the same explanation given on multiple pages. It is your expertise to decide what's the best option.

@MMiller_WMF, we are also blocked by the editor itself. conserning inserting languages, several languages go with wikimarkup first. Other go with visual editing first. A third group provides both options. Non of them provide an overview of all possibilities (including the fact that yu need to add the image to Commons first -- with copyright issues), with a simple tutorial.

PPham added a comment.EditedOct 29 2019, 1:36 PM

@MMiller_WMF, we are also blocked by the editor itself. conserning inserting languages, several languages go with wikimarkup first. Other go with visual editing first. A third group provides both options. Non of them provide an overview of all possibilities (including the fact that yu need to add the image to Commons first -- with copyright issues), with a simple tutorial.

Okay I think right now i have to give you guys the links prepared for code editor but I will try to update our guide pages as soon as possible, because it seems that our (outdated) help pages are mostly for code editor only.

Also, I'm trying to look for one but apparently we don't have pages for updating and expanding short articles, and perhaps even copy editing.

Update:

  • After digging kinda deep finally I have found this gem. Is this one okay for copy editing?
  • And is this one okay for expanding short articles?
  • Still can't find anything for updating articles...

If yes, I'll try finishing translating them by the end of the week.

Tgr added a comment.Oct 29 2019, 1:43 PM

Do we expect users to always use VE, by the way? If not, should we maybe split the help links based on what the default editor is?

I'm waiting for @nettrom_WMF data about VE/wikitext usage to see if there is a trend. Until then, we have to cover both.

@revi, @PPham, after our meeting with @MMiller_WMF, @Dyolf77_WMF and @Urbanecm, the decision has been taken to do this first step:

Provide links for the following help pages if the exist for the Visual editor only.

  • Creating a new article
  • Add an image to a page
  • Copyediting: fix spelling, grammar, and tone
  • Add links between articles: make words from one article link to another article
  • Find references: add sources to verify Wikipedia articles
  • Update articles: bring existing articles up-to-date
  • Expand short articles: make articles longer by finding and adding more information

If they don't exist for VE, please mention it. The next step would be to create these pages (done by Ambassadors, done my motivated volunteers, translated from somewhere... -- to be defined).

Trizek-WMF raised the priority of this task from Medium to High.Oct 29 2019, 4:45 PM

@revi @PPham @Dyolf77_WMF @Urbanecm -- thanks for your questions and thoughts about all this. I went through and made a column in the spreadsheet for "English" to show what I think would be the right links in English, as examples (I also can't find anything good for "update articles"). @PPham -- the links you found look good.

Yes, we want to use links that talk about Visual Editor and not wikitext. For now, you can just list the ones you can find, and we'll see where the blank spaces are and decide what to do next. But if you want to start translating pages from English, that's great!

Tgr added a comment.Oct 30 2019, 4:34 AM

There is Wikipedia:Updating information but the content is very specific to enwiki's system of templates for keeping track of time-sensitive information.

Thanks, @Tgr -- I saw that one, and I agree that it's not a good fit for what we actually need for "update".

I've done on my part.

The content of the link for "Creating a new article" is written in a general manner even in the English version so we perhaps don't need to flag it with VE or Wikitext and could use it right away?

Trizek-WMF closed this task as Resolved.Nov 4 2019, 11:19 AM

The content of the link for "Creating a new article" is written in a general manner even in the English version so we perhaps don't need to flag it with VE or Wikitext and could use it right away?

Correct, no need.

Done for everyone, I'm closing the task.